summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtcwg-benchmark.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tcwg-benchmark.sh b/tcwg-benchmark.sh
index 7ecda206..326b2ce1 100755
--- a/tcwg-benchmark.sh
+++ b/tcwg-benchmark.sh
@@ -43,6 +43,10 @@ trap "cleanup_all_containers" EXIT
case "$toolchain_url" in
"ssh://"*)
ccprefix="${toolchain_url##ssh://}"
+ if [ x"$sysroot" = x"tarball" ]; then
+ echo "ERROR: Unsupported sysroot $sysroot for toolchain_url $toolchain_url"
+ exit 1
+ fi
;;
"http://"*|"https://"*)
wget --progress=dot:giga --no-check-certificate "${toolchain_url}"
@@ -52,6 +56,9 @@ case "$toolchain_url" in
ccpath=$(find "$WORKSPACE/$toolchaindir" -name "*-gcc")
ccprefix=$(echo "$ccpath" | sed -e 's/-gcc$/-/')
ccprefix="$build_container_host:$build_container_port:$ccprefix"
+ if [ x"$sysroot" = x"tarball" ]; then
+ sysroot="$(find "$WORKSPACE/$toolchaindir" -name "libc")"
+ fi
;;
esac